org.aspectj.internal.lang.reflect

## Class DeclarePrecedenceImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.DeclarePrecedenceImpl

All Implemented Interfaces:
  DeclarePrecedence

    public class DeclarePrecedenceImpl
    extends Object
    implements DeclarePrecedence

Author:
  colyer

### Constructor Summary

Constructors
Constructor and Description
`DeclarePrecedenceImpl(String precedenceList, AjType declaring)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType` `getDeclaringType()`
`TypePattern[]` `getPrecedenceOrder()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeclarePrecedenceImpl

    public DeclarePrecedenceImpl(String precedenceList,
                                 AjType declaring)

### Method Detail

#### getDeclaringType

    public AjType getDeclaringType()

Specified by:
  `getDeclaringType` in interface `DeclarePrecedence`
Returns:
  the declaring aspect

#### getPrecedenceOrder

    public TypePattern[] getPrecedenceOrder()

Specified by:
  `getPrecedenceOrder` in interface `DeclarePrecedence`
Returns:
  an ordered set of type patterns. An aspect matching a type pattern at a lower index in the array takes precedence over an aspect that only matches a type pattern at a higher index in the array.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`